Bug 474413 - lftp segfaults when trying to "mput -d Something/*"
lftp segfaults when trying to "mput -d Something/*"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
10
ppc Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 13:37 EST by Peter Lemenkov
Modified: 2014-11-09 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.7.14-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 12:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2008-12-03 13:37:01 EST
I unable to upload whole directory with current lftp. Every attemt to use -d key ends with segfault. I have to create directory before, then cd into it and only after that I can upload files.

Here is an example of session with attempt to upload files with "-d" key (w/o explicitly creating target directory):

[petro@Sulaco Desktop]$ myftp
lftp root@192.168.1.2:~> cd -       
cd ok, cwd=/mnt/video4                  
lftp root@192.168.1.2:/mnt/video4> mput -d 
House MD/  Ravenous/  South Park: Bigger Longer & Uncut/  The Dark Side of the Sun/  Tmavomodrý svet/
lftp root@192.168.1.2:/mnt/video4> mput -d Ravenous/*
Segmentation fault
[petro@Sulaco Desktop]$

And here is another example, where I was forced to create necessary directory before actual upload:

[petro@Sulaco Desktop]$ myftp
lftp root@192.168.1.2:~> cd -
cd ok, cwd=/mnt/video4                  
lftp root@192.168.1.2:/mnt/video4> mkdir Ravenous
mkdir ok, `Ravenous' created
lftp root@192.168.1.2:/mnt/video4> cd Ravenous/
lftp root@192.168.1.2:/mnt/video4/Ravenous> mput 
House MD/  Ravenous/  South Park: Bigger Longer & Uncut/  The Dark Side of the Sun/  Tmavomodrý svet/
lftp root@192.168.1.2:/mnt/video4/Ravenous> mput Ravenous/*
4582770688 bytes transferred in 392 seconds (11.16M/s)                                           
Total 7 files transferred
lftp root@192.168.1.2:/mnt/video4/Ravenous>

There is no difference between ASCII and non-ASCII directories. No need to say, that everything was OK in Fedora 9 :).
Comment 1 Fedora Update System 2009-05-22 08:37:23 EDT
lftp-3.7.14-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lftp-3.7.14-1.fc11
Comment 2 Fedora Update System 2009-05-22 08:37:28 EDT
lftp-3.7.14-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lftp-3.7.14-1.fc10
Comment 3 Fedora Update System 2009-05-25 17:09:10 EDT
lftp-3.7.14-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lftp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5331
Comment 4 Fedora Update System 2009-05-25 17:11:25 EDT
lftp-3.7.14-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lftp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5457
Comment 5 Peter Lemenkov 2009-05-28 04:14:55 EDT
Fixed now. Thanks.
Comment 6 Fedora Update System 2009-07-11 12:58:30 EDT
lftp-3.7.14-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-11 13:34:58 EDT
lftp-3.7.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.